package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 混果汁订单信息
 *
 * @author zhuxiaofeng
 */
public class OrderNuoWa {

    /**
	 * 主键
	 */
	private Long id;
	private String type;
	private BigDecimal productfee;
	private BigDecimal deliveryfee;
	private BigDecimal preoff;
	private Integer totalfee;
	private String outtradeno;
	/**
	 * 下单时间
	 */
	private Date shtime;
	private Long storeId;
	private Date payTime;
	private String mobile;
	private Long qmaiUserId;
	private Integer orderType;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public BigDecimal getProductfee() {
		return productfee;
	}

	public void setProductfee(BigDecimal productfee) {
		this.productfee = productfee;
	}

	public BigDecimal getDeliveryfee() {
		return deliveryfee;
	}

	public void setDeliveryfee(BigDecimal deliveryfee) {
		this.deliveryfee = deliveryfee;
	}

	public BigDecimal getPreoff() {
		return preoff;
	}

	public void setPreoff(BigDecimal preoff) {
		this.preoff = preoff;
	}

	public Integer getTotalfee() {
		return totalfee;
	}

	public void setTotalfee(Integer totalfee) {
		this.totalfee = totalfee;
	}

	public String getOuttradeno() {
		return outtradeno;
	}

	public void setOuttradeno(String outtradeno) {
		this.outtradeno = outtradeno;
	}

	public Date getShtime() {
		return shtime;
	}

	public void setShtime(Date shtime) {
		this.shtime = shtime;
	}

	public Long getStoreId() {
		return storeId;
	}

	public void setStoreId(Long storeId) {
		this.storeId = storeId;
	}

	public Date getPayTime() {
		return payTime;
	}

	public void setPayTime(Date payTime) {
		this.payTime = payTime;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public Long getQmaiUserId() {
		return qmaiUserId;
	}

	public void setQmaiUserId(Long qmaiUserId) {
		this.qmaiUserId = qmaiUserId;
	}

	public Integer getOrderType() {
		return orderType;
	}

	public void setOrderType(Integer orderType) {
		this.orderType = orderType;
	}

	@Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
